Subject: Re: [Q] HDF-Vset

From: [email-masked] (Andrea Leone)
Date: Mon, 18 Oct 1993 08:59:06 GMT

In article <[email-masked]>, [email-masked] (MARTIN GEGENHEIMER AK kappes) writes:
> Hello,
> 
> as HDF claims to be self-describing : is there a way to find out
> the number-types of Vdata fields? Is that information stored in the
> hdf-file at all?
> I'm working with 3.3r1, but as the documentation is 
> not yet uptodate (HDF3.2, Vset 2.1) I don't know wheter that's 
> possible or not. (I havent't looked at the low-level interface.)
> 
> thanx for any information,
>   
>    martin
> 
> -- 
> Martin Gegenheimer
> Institut fuer Physikalische Chemie II
> Kaiserstr.12
> 76128 Karlsruhe
> Germany
> 
> e-mail: [email-masked]
> voice: ++49 721 608-3255
> fax  : ++49 721 608-4856

In HDF3.3r1 there is a function to get the number type 
of a Vdata field. Its name is VFfieldtype and has two
arguments:

- the Vdata identifier (int32)
- the index of the field (int32)

This function is in vsfld.c file.

-- 
---------------------------------------------
 Andrea Leone ([email-masked])
 Scientific Visualization Group - CRS4
 Centre for Advanced Studies, R&D in Sardinia
 Via Nazario Sauro, 10
 09123 Cagliari (Italy)
 Phone: (+39 70) 2796-293
---------------------------------------------